## ros-melodic-avt-vimba-camera 0.0.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(avt_vimba_camera)

find_package(catkin REQUIRED COMPONENTS
  #libvimba
  camera_info_manager
  diagnostic_updater
  dynamic_reconfigure
  image_geometry
  image_transport
  message_filters
  roscpp
  sensor_msgs
  std_msgs
  polled_camera
  nodelet
)

#Get architecture
set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_CURRENT_SOURCE_DIR}/cmake")
include(TargetArchitecture)
target_architecture(ARCH)

#add dynamic reconfigure api
generate_dynamic_reconfigure_options(
  cfg/AvtVimbaCamera.cfg
  cfg/AvtVimbaCameraStereo.cfg
)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS camera_info_manager diagnostic_updater dynamic_reconfigure image_geometry image_transport roscpp sensor_msgs std_msgs polled_camera
)

###########
## Build ##
###########

include_directories(
  #${libvimba_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  include
)

# C++11 support
include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
  message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
endif()

function(add_dependencies_and_linkings arg)
  add_dependencies(${arg}
    ${PROJECT_NAME}_gencfg
    #${libvimba_EXPORTED_TARGETS}
  )

  if("${ARCH}" STREQUAL i386)
    target_link_libraries(${arg}
      ${catkin_LIBRARIES}
      ${CMAKE_CURRENT_SOURCE_DIR}/lib/32bit/libVimbaC.so
      ${CMAKE_CURRENT_SOURCE_DIR}/lib/32bit/libVimbaCPP.so
    )
  elseif("${ARCH}" STREQUAL x86_64)
    target_link_libraries(${arg}
      ${catkin_LIBRARIES}
      ${CMAKE_CURRENT_SOURCE_DIR}/lib/64bit/libVimbaC.so
      ${CMAKE_CURRENT_SOURCE_DIR}/lib/64bit/libVimbaCPP.so
    )
  elseif("${ARCH}" STREQUAL armv7)
    target_link_libraries(${arg}
      ${catkin_LIBRARIES}
      ${CMAKE_CURRENT_SOURCE_DIR}/lib/arm_32bit/libVimbaC.so
      ${CMAKE_CURRENT_SOURCE_DIR}/lib/arm_32bit/libVimbaCPP.so
    )
  elseif("${ARCH}" STREQUAL armv8)
    target_link_libraries(${arg}
      ${catkin_LIBRARIES}
      ${CMAKE_CURRENT_SOURCE_DIR}/lib/arm_64bit/libVimbaC.so
      ${CMAKE_CURRENT_SOURCE_DIR}/lib/arm_64bit/libVimbaCPP.so
    )
  else()
    message(FATAL_ERROR "[libvimba]: Architecture ${ARCH} not suported. Exiting...")
  endif()
endfunction(add_dependencies_and_linkings)

add_executable(mono_camera_node
  src/nodes/mono_camera_node.cpp
  src/mono_camera.cpp
  src/avt_vimba_camera.cpp
  src/frame_observer.cpp
)

add_dependencies_and_linkings(mono_camera_node)

add_executable(stereo_camera_node
  src/nodes/stereo_camera_node.cpp
  src/stereo_camera.cpp
  src/avt_vimba_camera.cpp
  src/frame_observer.cpp
)

add_dependencies_and_linkings(stereo_camera_node)

add_executable(sync_node
  src/nodes/sync_node.cpp
  src/sync.cpp
)

add_dependencies_and_linkings(sync_node)

add_library(avt_camera_nodelets
  src/nodes/mono_camera_nodelet.cpp
  src/nodes/stereo_camera_nodelet.cpp
  src/mono_camera.cpp
  src/stereo_camera.cpp
  src/avt_vimba_camera.cpp
  src/frame_observer.cpp)
add_dependencies_and_linkings(avt_camera_nodelets)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS mono_camera_node stereo_camera_node avt_camera_nodelets
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES
  plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if("${ARCH}" STREQUAL i386)
  install(FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/32bit/libVimbaC.so
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/32bit/libVimbaCPP.so
    DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  )
elseif("${ARCH}" STREQUAL x86_64)
  install(FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/64bit/libVimbaC.so
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/64bit/libVimbaCPP.so
    DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  )
elseif("${ARCH}" STREQUAL armv7)
  install(FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/arm_32bit/libVimbaC.so
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/arm_32bit/libVimbaCPP.so
    DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  )
elseif("${ARCH}" STREQUAL armv8)
  install(FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/arm_64bit/libVimbaC.so
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/arm_64bit/libVimbaCPP.so
    DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  )
endif()

=== debian/changelog ===
ros-melodic-avt-vimba-camera (0.0.12-1stretch) stretch; urgency=high

  * Fix MonoCamera nodelet (#16 <https://github.com/astuff/avt_vimba_camera/issues/16>)
  * Launch File Updates (#13 <https://github.com/astuff/avt_vimba_camera/issues/13>)
    
      * Standardize launch file formatting, remove commented code
      * Provide args for all parameters
      * Launch file for Mako G-319
    
  * Remove duplicated launch file installs (#15 <https://github.com/astuff/avt_vimba_camera/issues/15>)
  * Brief README (#10 <https://github.com/astuff/avt_vimba_camera/issues/10>)
  * Add more pixelformats, thanks to @jmoreau-hds (#3 <https://github.com/astuff/avt_vimba_camera/issues/3>)
  * Contributors: icolwell-as

 -- Miquel Massot <miquel.massot@uib.cat>  Fri, 05 Jun 2020 04:00:00 -0000

ros-melodic-avt-vimba-camera (0.0.11-1stretch) stretch; urgency=high

  * Merge pull request #35 <https://github.com/astuff/avt_vimba_camera/issues/35> from willcbaker/feature/nodelet
    Feature/nodelet
  * Update nodelet launch files
  * Add nodelet
  * Fix #31 <https://github.com/astuff/avt_vimba_camera/issues/31>
  * Merge pull request #30 <https://github.com/astuff/avt_vimba_camera/issues/30> from chewwt/armv8
    add support for armv8
  * add support for armv8
  * Change frame observer to shared ptr
  * Contributors: Miquel Massot, Will Baker, ruth

 -- Miquel Massot <miquel.massot@uib.cat>  Mon, 19 Aug 2019 04:00:00 -0000

ros-melodic-avt-vimba-camera (0.0.10-1stretch) stretch; urgency=high

  * Merge pull request #26 <https://github.com/srv/avt_vimba_camera/issues/26> from 130s/k/add_ci
    [CI] Add config for ROS Kinetic (and Lunar as an option).
  * [CI] Add config for ROS Kinetic (and Lunar as an option).
  * Merge pull request #25 <https://github.com/srv/avt_vimba_camera/issues/25> from mintar/fix_open_camera
    Fix opening the camera
  * Simplify openCamera() logic
  * Open camera on init
    Without this patch, the camera is never opened. This bug was introduced in 63f868791.
  * Give more information to the user
  * Merge pull request #22 <https://github.com/srv/avt_vimba_camera/issues/22> from plusone-robotics/dyn_reconfig_fix
    Dynamic reconfigure fix
  * Fix #21 <https://github.com/srv/avt_vimba_camera/issues/21>: Retry camera opening and handle SIGINT
  * Changed file mode in order to build
  * Fixed crashing of dynamic reconfigure
  * Fixed dynamic reconfigure configuration that did not allow camera parameters to be updated
  * Fix call QueueFrame() method
  * Fix CPU overhead issue
  * Fix #18 <https://github.com/srv/avt_vimba_camera/issues/18>
  * Merge pull request #17 <https://github.com/srv/avt_vimba_camera/issues/17> from josepqp/kinetic
    Added ARM 32 to CMakeList.txt
  * Stop camera before destroy it
  * Added ARM 32
  * Merge branch 'kinetic' of github.com:srv/avt_vimba_camera into kinetic
  * Change variable scope
  * Fix #15 <https://github.com/srv/avt_vimba_camera/issues/15>: do not depend on turbot_configurations
  * Merge pull request #14 <https://github.com/srv/avt_vimba_camera/issues/14> from josepqp/kinetic
    
      * Added ARM 32 bits libraries
      * Modified CMakeList.txt to compile with ARM 32 bits
      * Added Iris Parameter
    
  * kinetization
  * Fix sync problems after camera tests
  * Add a sync timer
  * Try stereo image sync
  * Add a check timer
  * Fix #12 <https://github.com/srv/avt_vimba_camera/issues/12>: allow bigger resolutions
  * Fix camera info
  * Fix camera config
  * Fix camera info when decimation
  * Make sync node acts as stereo sync checker
  * Include a check timer on stereo_camera
  * Perform the stereo_sync in a separate node
  * Publish camera temperatures
  * Change the way of reset
  * Increase the initial wait time before checking sync
  * Add a sync watcher node
  * Fix branch mix
  * Remove unused variables
  * Left and right callback in a separate thread
  * Change default sync time
  * change logging messages
  * fix binning
  * add stereo launchfiles
  * removed prints
  * set stereo launchfiles
  * removed unused params
  * calibration epi. 4
  * improvements to stereo node
  * merge with v2.0 SDK
  * upgrade to VIMBA SDK 2.0
  * upgrade to 1.4
  * changed ros prints from info to debug
  * removed comment
  * changed stereo camera launchfile
  * Merge pull request #11 <https://github.com/srv/avt_vimba_camera/issues/11> from lucasb-eyer/indigo
    Set the frame_id of the image header, too.
  * Set the frame_id of the image header, too.
  * Contributors: Isaac I.Y. Saito, Martin Günther, Miquel Massot, Shaun Edwards, SparusII, agoins, josep, lucasb-eyer, plnegre, shaun-edwards

 -- Miquel Massot <miquel.massot@uib.cat>  Wed, 16 Aug 2017 04:00:00 -0000

ros-melodic-avt-vimba-camera (0.0.9-1stretch) stretch; urgency=high

  * Fix #8 <https://github.com/srv/avt_vimba_camera/issues/8>: Constructor delegation and typo in assignment
  * added mono camera name
  * corrected diagnostics
  * fixed sync diagnostic
  * improved diagnostics
  * better timestamp management
  * added command error check
  * cleaning stereo prints
  * removed old cpp
  * fixed merging conflict
  * update updater
  * added time to tick function
  * added getTimestamp
  * added reset timestamp command
  * changed errors to warnings
  * added open/close msgs to diagnostics
  * added diagnostics. wip
  * bugfixes
  * full operative stereo camera
  * prepared launchfile for stereo
  * auto set packet size
  * stereo sync
  * preparing for stereo
  * added launchfile
  * hide first run
  * set auto configuration by default
  * fix with ptp mode
  * Fix dynamic reconfigure error with PTP
  * mono camera compiles
  * Fix interface type
  * Merge pull request #5 <https://github.com/srv/avt_vimba_camera/issues/5> from lucasb-eyer/auto
    Fix names/values of auto settings.
  * Fix names/values of auto settings.
  * Fix #2 <https://github.com/srv/avt_vimba_camera/issues/2>: Set the highest GeV packet size


=== debian/control ===
Source: ros-melodic-avt-vimba-camera
Section: misc
Priority: optional
Maintainer: Miquel Massot <miquel.massot@uib.cat>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-camera-info-manager, ros-melodic-catkin, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-nodelet, ros-melodic-polled-camera, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/avt_vimba_ros
Standards-Version: 3.9.2

Package: ros-melodic-avt-vimba-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-camera-info-manager, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-image-geometry, ros-melodic-image-proc, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-nodelet, ros-melodic-polled-camera, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-stereo-image-proc
Description: Wrapper of the Allied Vision Technologies (AVT) VIMBA Ethernet and Firewire SDK.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-avt-vimba-camera//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-avt-vimba-camera 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(avt_vimba_camera)

find_package(catkin REQUIRED COMPONENTS
  camera_info_manager
  diagnostic_updater
  dynamic_reconfigure
  image_transport
  message_filters
  roscpp
  sensor_msgs
  std_msgs
  nodelet
)

#Get architecture
set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_CURRENT_SOURCE_DIR}/cmake")
include(TargetArchitecture)
target_architecture(ARCH)

#add dynamic reconfigure api
generate_dynamic_reconfigure_options(
  cfg/AvtVimbaCamera.cfg
)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS camera_info_manager diagnostic_updater dynamic_reconfigure image_transport roscpp sensor_msgs std_msgs
)

###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
  include
)

# C++11 support
include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++14" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
elseif(COMPILER_SUPPORTS_CXX0X)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
  message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++14 support. Please use a different C++ compiler.")
endif()

function(add_dependencies_and_linkings arg)
  add_dependencies(${arg}
    ${PROJECT_NAME}_gencfg
  )

  if("${ARCH}" STREQUAL x86_64)
    target_link_libraries(${arg}
      ${catkin_LIBRARIES}
      ${CMAKE_CURRENT_SOURCE_DIR}/lib/64bit/libVimbaC.so
      ${CMAKE_CURRENT_SOURCE_DIR}/lib/64bit/libVimbaCPP.so
    )
  elseif("${ARCH}" STREQUAL armv7)
    target_link_libraries(${arg}
      ${catkin_LIBRARIES}
      ${CMAKE_CURRENT_SOURCE_DIR}/lib/arm_32bit/libVimbaC.so
      ${CMAKE_CURRENT_SOURCE_DIR}/lib/arm_32bit/libVimbaCPP.so
    )
  elseif("${ARCH}" STREQUAL armv8)
    target_link_libraries(${arg}
      ${catkin_LIBRARIES}
      ${CMAKE_CURRENT_SOURCE_DIR}/lib/arm_64bit/libVimbaC.so
      ${CMAKE_CURRENT_SOURCE_DIR}/lib/arm_64bit/libVimbaCPP.so
    )
  else()
    message(FATAL_ERROR "[libvimba]: Architecture ${ARCH} not suported. Exiting...")
  endif()
endfunction(add_dependencies_and_linkings)

# Nodes
add_executable(mono_camera_node
  src/nodes/mono_camera_node.cpp
  src/mono_camera.cpp
  src/avt_vimba_camera.cpp
  src/frame_observer.cpp
)
add_dependencies_and_linkings(mono_camera_node)

add_executable(trigger_node
  src/nodes/trigger_node.cpp
  src/trigger.cpp
)
add_dependencies_and_linkings(trigger_node)

# Nodelets
add_library(avt_camera_nodelets
  src/nodes/mono_camera_nodelet.cpp
  src/mono_camera.cpp
  src/avt_vimba_camera.cpp
  src/frame_observer.cpp
)
add_dependencies_and_linkings(avt_camera_nodelets)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS
  mono_camera_node
  trigger_node
  avt_camera_nodelets
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES
  README.md
  plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY
  launch
  calibrations
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if("${ARCH}" STREQUAL x86_64)
  install(FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/64bit/libVimbaC.so
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/64bit/libVimbaCPP.so
    DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  )
elseif("${ARCH}" STREQUAL armv7)
  install(FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/arm_32bit/libVimbaC.so
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/arm_32bit/libVimbaCPP.so
    DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  )
elseif("${ARCH}" STREQUAL armv8)
  install(FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/arm_64bit/libVimbaC.so
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/arm_64bit/libVimbaCPP.so
    DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  )
endif()

=== debian/changelog ===
ros-melodic-avt-vimba-camera (1.2.0-1bionic) bionic; urgency=high

  * Add note about permanent buffer settings to the README (#91 <https://github.com/astuff/avt_vimba_camera/issues/91>)
  * Remove triggermode check (#84 <https://github.com/astuff/avt_vimba_camera/issues/84>)
  * Contributors: icolwell-as

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 08 Apr 2022 04:00:00 -0000

ros-melodic-avt-vimba-camera (1.1.0-1bionic) bionic; urgency=high

  * Add missing default handlers for two switch statement (#78 <https://github.com/astuff/avt_vimba_camera/issues/78>)
  * Fix a bug in function getTriggerModeInt() (#77 <https://github.com/astuff/avt_vimba_camera/issues/77>)
  * Add missing frame_id to camera_info topic, add missing stamp to image topic (#70 <https://github.com/astuff/avt_vimba_camera/issues/70>)
  * Remove sync node tidbit in README (#62 <https://github.com/astuff/avt_vimba_camera/issues/62>)
  * Add license file (#66 <https://github.com/astuff/avt_vimba_camera/issues/66>)
  * Clarify that this is the ROS1 driver README (#60 <https://github.com/astuff/avt_vimba_camera/issues/60>)
  * Remove sync node (#59 <https://github.com/astuff/avt_vimba_camera/issues/59>)
  * Added features required to run USB cameras (#54 <https://github.com/astuff/avt_vimba_camera/issues/54>)
  * Contributors: Grzegorz Bartyzel, icolwell-as, jilinzhouas

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Wed, 16 Feb 2022 05:00:00 -0000

ros-melodic-avt-vimba-camera (1.0.0-1bionic) bionic; urgency=high

  * Code Cleanup and Autoformat (#52 <https://github.com/astuff/avt_vimba_camera/issues/52>)
  * Improve rosout logging (#50 <https://github.com/astuff/avt_vimba_camera/issues/50>)
  * Improve README (#48 <https://github.com/astuff/avt_vimba_camera/issues/48>)
  * Parameter Refactor (#46 <https://github.com/astuff/avt_vimba_camera/issues/46>)
  * Use timestamp from image capture in ROS header (#41 <https://github.com/astuff/avt_vimba_camera/issues/41>)
  * Trigger over Ethernet (#39 <https://github.com/astuff/avt_vimba_camera/issues/39>)
  * Remove stereo camera code (#43 <https://github.com/astuff/avt_vimba_camera/issues/43>)
  * Update CI (#44 <https://github.com/astuff/avt_vimba_camera/issues/44>)
  * Update to VimbaCPP Version 1.8.4 (SDK version 5.0) (#36 <https://github.com/astuff/avt_vimba_camera/issues/36>)
  * Fixed 'escalating to SIGTERM' when closing (#22 <https://github.com/astuff/avt_vimba_camera/issues/22>)
  * Contributors: icolwell-as, vbrebion

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Tue, 30 Nov 2021 05:00:00 -0000

ros-melodic-avt-vimba-camera (0.0.12-1bionic) bionic; urgency=high

  * Fix MonoCamera nodelet (#16 <https://github.com/astuff/avt_vimba_camera/issues/16>)
  * Launch File Updates (#13 <https://github.com/astuff/avt_vimba_camera/issues/13>)
  * Remove duplicated launch file installs (#15 <https://github.com/astuff/avt_vimba_camera/issues/15>)
  * Brief README (#10 <https://github.com/astuff/avt_vimba_camera/issues/10>)
  * Add more pixelformats, thanks to @jmoreau-hds (#3 <https://github.com/astuff/avt_vimba_camera/issues/3>)
  * Contributors: icolwell-as

 -- Miquel Massot <miquel.massot@uib.cat>  Fri, 05 Jun 2020 04:00:00 -0000

ros-melodic-avt-vimba-camera (0.0.11-1bionic) bionic; urgency=high

  * Merge pull request #35 <https://github.com/astuff/avt_vimba_camera/issues/35> from willcbaker/feature/nodelet
    Feature/nodelet
  * Update nodelet launch files
  * Add nodelet
  * Fix #31 <https://github.com/astuff/avt_vimba_camera/issues/31>
  * Merge pull request #30 <https://github.com/astuff/avt_vimba_camera/issues/30> from chewwt/armv8
    add support for armv8
  * add support for armv8
  * Change frame observer to shared ptr
  * Contributors: Miquel Massot, Will Baker, ruth

 -- Miquel Massot <miquel.massot@uib.cat>  Mon, 19 Aug 2019 04:00:00 -0000

ros-melodic-avt-vimba-camera (0.0.10-1bionic) bionic; urgency=high

  * Merge pull request #26 <https://github.com/srv/avt_vimba_camera/issues/26> from 130s/k/add_ci
    [CI] Add config for ROS Kinetic (and Lunar as an option).
  * [CI] Add config for ROS Kinetic (and Lunar as an option).
  * Merge pull request #25 <https://github.com/srv/avt_vimba_camera/issues/25> from mintar/fix_open_camera
    Fix opening the camera
  * Simplify openCamera() logic
  * Open camera on init
    Without this patch, the camera is never opened. This bug was introduced in 63f868791.
  * Give more information to the user
  * Merge pull request #22 <https://github.com/srv/avt_vimba_camera/issues/22> from plusone-robotics/dyn_reconfig_fix
    Dynamic reconfigure fix
  * Fix #21 <https://github.com/srv/avt_vimba_camera/issues/21>: Retry camera opening and handle SIGINT
  * Changed file mode in order to build
  * Fixed crashing of dynamic reconfigure
  * Fixed dynamic reconfigure configuration that did not allow camera parameters to be updated
  * Fix call QueueFrame() method
  * Fix CPU overhead issue
  * Fix #18 <https://github.com/srv/avt_vimba_camera/issues/18>
  * Merge pull request #17 <https://github.com/srv/avt_vimba_camera/issues/17> from josepqp/kinetic
    Added ARM 32 to CMakeList.txt
  * Stop camera before destroy it
  * Added ARM 32
  * Merge branch 'kinetic' of github.com:srv/avt_vimba_camera into kinetic
  * Change variable scope
  * Fix #15 <https://github.com/srv/avt_vimba_camera/issues/15>: do not depend on turbot_configurations
  * Merge pull request #14 <https://github.com/srv/avt_vimba_camera/issues/14> from josepqp/kinetic
    
      * Added ARM 32 bits libraries
      * Modified CMakeList.txt to compile with ARM 32 bits
      * Added Iris Parameter
    
  * kinetization
  * Fix sync problems after camera tests
  * Add a sync timer
  * Try stereo image sync
  * Add a check timer
  * Fix #12 <https://github.com/srv/avt_vimba_camera/issues/12>: allow bigger resolutions
  * Fix camera info
  * Fix camera config
  * Fix camera info when decimation


=== debian/control ===
Source: ros-melodic-avt-vimba-camera
Section: misc
Priority: optional
Maintainer: AutonomouStuff Software Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-camera-info-manager, ros-melodic-catkin, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: https://github.com/astuff/avt_vimba_camera
Standards-Version: 3.9.2

Package: ros-melodic-avt-vimba-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-camera-info-manager, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-image-proc, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-stereo-image-proc
Description: Camera driver for Allied Vision Technologies (AVT) cameras, based on their Vimba SDK.
